[arch-commits] CVS update of extra/devel/anjuta (PKGBUILD anjuta.install)

Jan de Groot jgc at archlinux.org
Sun Apr 22 13:52:13 EDT 2007


    Date: Sunday, April 22, 2007 @ 13:52:13
  Author: jgc
    Path: /home/cvs-extra/extra/devel/anjuta

Modified: PKGBUILD (1.20 -> 1.21) anjuta.install (1.4 -> 1.5)

upgpkg: anjuta 1.2.4a-3
Move to /usr, not updating now, no time for tricks right now


----------------+
 PKGBUILD       |   16 ++++++++--------
 anjuta.install |   22 ++--------------------
 2 files changed, 10 insertions(+), 28 deletions(-)


Index: extra/devel/anjuta/PKGBUILD
diff -u extra/devel/anjuta/PKGBUILD:1.20 extra/devel/anjuta/PKGBUILD:1.21
--- extra/devel/anjuta/PKGBUILD:1.20	Sat Sep 30 06:21:11 2006
+++ extra/devel/anjuta/PKGBUILD	Sun Apr 22 13:52:13 2007
@@ -1,30 +1,30 @@
-# $Id: PKGBUILD,v 1.20 2006/09/30 10:21:11 jgc Exp $
+# $Id: PKGBUILD,v 1.21 2007/04/22 17:52:13 jgc Exp $
 # Mantainer: Arjan Timmerman <arjan at archlinux.org>
 
 pkgname=anjuta
 pkgver=1.2.4a
-pkgrel=2
+pkgrel=3
 force=y
 pkgdesc="Anjuta Integrated Development Environment."
 arch=(i686 x86_64)
+license=('GPL')
 url="http://anjuta.sourceforge.net"
 install=anjuta.install
-depends=('pcre>=6.6' 'vte>=0.14.0' 'libgnomeprintui' 'libgnomeui>=2.16.0')
-makedepends=('intltool' 'pkgconfig')
+depends=('pcre>=6.6' 'vte>=0.16.1-2' 'libgnomeprintui>=2.18.0' 'libgnomeui>=2.18.1-2')
+makedepends=('perlxml' 'pkgconfig')
 options=('nolibtool')
 source=(http://heanet.dl.sourceforge.net/sourceforge/anjuta/${pkgname}-${pkgver}.tar.gz)
 md5sums=('7e6af289b4bfd1ec2ca72e2017efc4d3')
 
 build() {
-  [ -z "${GNOMEDIR}" ] && . /etc/profile.d/gnome.sh
-
   cd ${startdir}/src/${pkgname}-${pkgver}
   find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
   if [ -f omf.make ]; then
     sed -i -e 's/-scrollkeeper-update.*//' omf.make
   fi
 
-  ./configure --prefix=/opt/gnome
-  make -j1 || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var --disable-static
+  make || return 1
   make DESTDIR=${startdir}/pkg install
 }
Index: extra/devel/anjuta/anjuta.install
diff -u extra/devel/anjuta/anjuta.install:1.4 extra/devel/anjuta/anjuta.install:1.5
--- extra/devel/anjuta/anjuta.install:1.4	Tue Jan  3 07:49:30 2006
+++ extra/devel/anjuta/anjuta.install	Sun Apr 22 13:52:13 2007
@@ -1,33 +1,15 @@
-pkgname=anjuta
-
 post_install() {
-  scrolls=(`pacman -Ql $pkgname | grep 'share/omf/.*\.omf$' | awk '{ print $2 }'`)
-
-  for scroll in "${scrolls[@]}" ; do
-    scrollkeeper-install -q -p var/lib/scrollkeeper "$scroll"
-  done
-
+  scrollkeeper-update -q -p var/lib/scrollkeeper
   update-desktop-database -q
 }
 
-pre_upgrade() {
-  pre_remove $1
-}
-
 post_upgrade() {
   post_install $1
 }
 
-pre_remove() {
-  scrolls=(`pacman -Ql $pkgname | grep 'share/omf/.*\.omf$' | awk '{ print $2 }'`)
-
-  for scroll in "${scrolls[@]}" ; do
-    scrollkeeper-uninstall -q -p var/lib/scrollkeeper "$scroll"
-  done
-}
 
 post_remove() {
-  update-desktop-database -q
+  post_install
 }
 
 op=$1




More information about the arch-commits mailing list